class.Inv()

function Inv:__init(si)

	self.tab = {}
	self.size = si or 1
	for i = 1, si do
	
		self.tab[i] = ""
	
	end

end

function Inv:Get()

	return self.tab

end

function Inv:OpenSlot()

	for k, v in pairs(self.tab) do
	
		if v == "" then
			
			return k
			
		end
	
	end
	return false

end

function Inv:IsOpen(i)

	if self.tab[i] == "" then return true end
	return false

end

function Inv:Add(it)

	if self:OpenSlot() then
	
		self.tab[self:OpenSlot()] = it
		
	end

end

function Inv:Remove(i)
	
	self.tab[i] = ""

end

function Inv:Trans(inv, i)

	if inv:OpenSlot() then
		inv:Add(self.tab[i])
		self:Remove(i)
	end

end

function Inv:Populate(t)

	for k, v in pairs(t) do
	
		self:Add(v)
	
	end

end