keybinds = {}

local function KeyBind(k, f) keybinds[k] = f end

KeyBind("right", function() --don't activate things while paused
	if pause then return end
	player:Activate(1, 0)
end)

KeyBind("left", function()
	if pause then return end
	player:Activate(-1, 0)
end)

KeyBind("down", function()
	if pause then return end
	player:Activate(0, 1)
end)

KeyBind("up", function()
	if pause then return end
	player:Activate(0, -1)
end)
	
KeyBind("g", function()
	menu:MoveDown()
end)
	
KeyBind("t", function()
	menu:MoveUp()
end)
	
KeyBind("h", function()
	menu:DoChoice()
end)
	
KeyBind("f", function()
	menu:GoBack()
end)

KeyBind("y", function()
	Message("1234567891234567891234567891234567")
end)

function love.keypressed(key)
	
	if keybinds[key] then
		keybinds[key]()
	end
	
end