class.Chest(Entity)

function Chest:__init(x, y, c)

	self.pos = Vec2(x, y)
	self.col = Color(140, 76, 12)
	self.con = Inv(#c)
	self.con:Populate(c)
	self.solid = true
	RegisterEnt(self, "chest")

end

function Chest:Draw()

	SetPixel(self.pos.x, self.pos.y, self.col)

end

function Chest:Contents()

	return self.con.tab

end

function Chest:Use(ply)

	self.m = Menu("Chest")
	self.m:OnOpen(function() Pause(true) end)
	self.m:FillFunc(function()
		for k, v in pairs(self:Contents()) do
			if v ~= "" then
				local m = ItemMenu(v)
				m:Add("Take", function() self.con:Trans(ply.inv, k) Message("Got a "..v) self.m:Fill() SetMenu(self.m) end)
				m:Add("Back", function() SetMenu(self.m) end)
				self.m:Add(v, function() SetMenu(m) end)
			end
		end
		self.m:Add("Back", function() Pause(false) GotoMainMenu() end)
	end)
	self.m:Fill()
	SetMenu(self.m)

end