class.Light(Entity)

function Light:__init(x, y, b, c)

	self.pos = Vec2(x, y)
	self.col = c
	self.bri = b
	self.pix = {}
	self.on = true
	self:RenderGlow()
	RegisterEnt(self, "light")

end

function Light:RenderGlow()

	local glow = {}
	for x = 1, self.bri * 2 do
		for y = 1, self.bri * 2 do
			local p = Vec2(x + (self.pos.x - self.bri), y + (self.pos.y - self.bri))
			if p:Distance(self.pos) <= self.bri and not IntSect(p:BreshLine(self.pos), ents) then
				table.insert(glow, {p.x, p.y, self.col:Lerp((self.pos:Distance(p) / self.bri), Color(0, 0, 0, 0))})
			end
		end
	end
	self.pix = glow

end

function Light:Glow()

	for k, v in pairs(self.pix) do
		DrawLight(v[1], v[2], v[3])
	end

end

function Light:Draw()

	if self.on then self:Glow() end

end

--[[function Light:Tick() --EXPERIMENTAL TOUCH AND YOU MAY BE EXPOSED TO MASSIVE AMOUTS OF RADIATION

	self:RenderGlow()

end]]

function Light:On(b)
	self.on = b
end