class.Switch(Entity)

function Switch:__init(x, y, c, on, off)

	self.pos = Vec2(x, y)
	self.col = c
	self.on = on
	self.off = off
	self.t = false
	self.solid = true
	RegisterEnt(self, "switch")

end

function Switch:Toggle()

	self.t = not self.t
	if self.t then self.on()
	else self.off() end

end

function Switch:Use()

	self:Toggle()

end

function Switch:Draw()

	SetPixel(self.pos.x, self.pos.y, self.col)

end

class.TouchSensor(Entity)

function TouchSensor:__init(x, y, c, on, off)

	self.pos = Vec2(x, y)
	self.col = c
	self.on = on
	self.off = off
	self.a = false
	SetPixel(x, y, c)
	RegisterEnt(self, "TouchSensor")

end

function TouchSensor:Draw()

	SetPixel(self.pos.x, self.pos.y, self.col)

end

function TouchSensor:Tick()

	if player.pos == self.pos and not self.a then
		self.on()
		self.a = true
	elseif player.pos ~= self.pos and self.a then
		self.off()
		self.a = false
	end

end
