class.Menu()

function Menu:__init(title)

	self.title = title or "Menu"
	self.optionst = {}
	self.cs = 1
	self.options = ""
	self.s = ">"
	self.fill = function() end
	self.open = function() end

end

function Menu:FillFunc(f)

	self.fill = f

end

function Menu:Fill()

	self.optionst = {}
	self.cs = 1
	self.options = ""
	self.s = ">"
	self.fill()

end

function Menu:Add(n, f)

	
	self.options = ""
	
	for i = #self.optionst, 1, -1  do
	
		self.options = self.optionst[i][1].."\n"..self.options
	
	end
	
	self.options = self.options..n
	
	table.insert(self.optionst, {n, f})

end

function Menu:Remove(i)

	
	self.optionst[i] = nil
	
	self.options = ""
	
	for i = #self.optionst, 1, -1  do
	
		self.options = self.optionst[i][1].."\n"..self.options
	
	end
	
	self.options = self.options..n

end

function table.size(t)

	local n = 0
	for k, v in pairs(t) do
	
		n = n + 1
	
	end
	return n

end

function Menu:MoveDown()

	if self.cs + 1 <= table.size(self.optionst) then
	
		self.cs = self.cs + 1
		self.s = ">"
		for i = 1, self.cs - 1 do
		
			self.s = "\n"..self.s
		
		end
		
	end

end

function Menu:MoveUp()

	if self.cs - 1 > 0 then
	
		self.cs = self.cs - 1
		self.s = ">"
		for i = 1, self.cs - 1 do
		
			self.s = "\n"..self.s
		
		end
		
	end

end

function Menu:DoChoice()

	self.optionst[self.cs][2]()

end

function Menu:GoBack()

	local go, n = false
	for k, v in pairs(self.optionst) do
	
		if v[1] == "Back" then go = true n = k break end
	
	end
	
	if go then
		self.optionst[n][2]()
	end

end

function Menu:OnOpen(f)

	self.open = f

end

function Menu:Draw()

	love.graphics.setFont(lfont)
	love.graphics.print(self.title, o + 10, 0)
	love.graphics.setFont(sfont)
	love.graphics.print(self.options, o + 25, 30)
	love.graphics.print(self.s, o + 15, 30)

end

function SetMenu(m)

	menu = m --ahahahahh
	if m.open then m.open() end

end

function UpdateMenuSet(ms)

	

end

function Message(m)

	if #m > 25 then
	
		local m1 = string.sub(m, 1, 25)
		local m2 = string.sub(m, 26, #m)
		m = m1.."\n"..m2
	
	end
	message = m
	timer.Simple(5, function()
		message = ""
	end)
	hook.Call("Message", m)

end

function GotoMainMenu()

	SetMenu(menus.root)

end

class.TextMenu(Menu)

function TextMenu:__init(title)

	self.super:__init(title)
	self.text = ""

end

function TextMenu:SetText(t)

	self.text = t

end

function TextMenu:Draw()

	love.graphics.setFont(lfont)
	love.graphics.print(self.title or "DERP", o + 10, 0)
	love.graphics.setFont(sfont)
	love.graphics.print(self.options or "DERP", o + 25, h - 175)
	love.graphics.print(self.s or "DERP", o + 15, h - 175)
	love.graphics.printf(self.text or "DERP", o + 15, 25, love.graphics.getWidth() - o - 15)

end

class.ItemMenu(Menu)

function ItemMenu:__init(it)

	self.super:__init(it)
	self.item = it

end

function ItemMenu:Draw()

	love.graphics.setFont(lfont)
	love.graphics.print(self.title or "DERP", o + 10, 0)
	love.graphics.setFont(sfont)
	love.graphics.print(self.options or "DERP", o + 25, h - 175)
	love.graphics.print(self.s or "DERP", o + 15, h - 175)
	love.graphics.printf(items[self.item].desc or "DERP", o + 15, 25, love.graphics.getWidth() - o - 15)

end